#modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(3px);
}

.modal_content {
    background-color: #fefefe;
    margin: 3% auto 0;
    padding: 30px 50px;
    border: 1px solid #888;
    width: 25%;
    height: 700px;
    box-sizing: border-box;
}

.modal_close {
    color: #595959;
    float: right;
    font-size: 20px;
    font-weight: bold;
}

.modal_close:hover,
.modal_close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

input:checked + #btn + #modal {
    display:flex;
}

input:checked + #btn + #modal + .close {
    display:block;
}

.modal_title {
    font-size: 2em;
    padding-bottom: 30px;
    color: #4b4b4b;
    font-weight: 300;
}

.modal_form {
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
    text-align: left;
    color: #4b4b4b;
}

.modal_form label, input, select {
    display: block;
}

.modal_form label {
    font-size: 0.8em;
    margin-bottom: 6px;
}

.modal_form input, select {
    height: 30px;
    margin-bottom: 14px;
    padding: 0 10px;
    color: #4b4b4b;
}

.modal_gender {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 14px;
}

.modal_gender-btn {
    display: flex;
    align-items: center;
}

.modal_gender input[type="radio"] {
    height: 15px;
    margin: 0 5px;
}

.modal_gender label {
    margin-bottom: 0;
}

.modal_background {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.modal_btn {
    background: none;
    color:#f75c49;
    font-size: 1em;
    font-weight: bold;
    border:  1px solid #f75c49;
    border-radius: 2px;
    padding: 20px 14px;
    margin-top: 20px;
}

.modal_btn:hover {
    background: #f75c49;
    color: white;
}

.teacher_modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(3px);
}

.teacher_modal_content {
    background-color: #fefefe;
    margin: 3% auto 0;
    padding: 30px 50px;
    border: 1px solid #888;
    width: 720px;
    height: 500px;
    box-sizing: border-box;
    text-align: left;
}

.teacher_modal_close {
    color: #595959;
    float: right;
    font-size: 20px;
    font-weight: bold;
}

.teacher_modal_close:hover,
.teacher_modal_close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

.show_teacher_modal {
    display: flex!important;
}

.teacher_modal_inner {
    display: flex;
}


.teacher_modal_img {
    width: 40%;
    padding-right: 30px;
}

.teacher_modal_title {
    font-size: 1.7em;
    margin-bottom: 30px;
    text-align: center;
    font-weight: 300;
}

.teacher_modal_text p {
    margin-bottom: 15px;
    font-size: 0.8em;
}

.teacher_modal_text .email {
    color: #5493c0;
}

.teacher_modal_header {
    display: flex;
    margin-bottom: 40px;
    align-items: center;
}

.teacher_modal_footer {
    line-height: 130%;
    margin: 30px 0;
}

.teacher_modal_toggle {
    color: #5493c0;
    border-bottom: 2px dotted #5493c0;
}

.teacher_modal_name {
    font-size: 2em;
    margin-bottom: 0;
    margin-right: 50px;
    font-weight: 300;
}

.teacher_modal_star {
    width: 40px;
    height: 40px;
}
